Alokai

SapccApiDoApplyCartPromotionRequest

Request parameters for doApplyCartPromotion operation in SapccApi. SapccApiDoApplyCartPromotionRequest

interface SapccApiDoApplyCartPromotionRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly promotionId: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier. {string} SapccApiDoApplyCartPromotion
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiDoApplyCartPromotion
promotionIdRequiredstringPromotion identifier. {string} SapccApiDoApplyCartPromotion
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiDoApplyCartPromotion

On this page